#!/usr/bin/env python
"""
Convert the PDF files into images for easier browsing.
"""
__author__ = 'Martin Blais <blais@furius.ca>'
__copyright__ = 'BSD'

import csv, os, sys, re
from os.path import *
from subprocess import call


cmd1 = 'pdftoppm -gray -r 100 -x 70 -y 70 -W 692 -H 1050   -png %s %s'
cmd2 = 'convert %s %s'

def main():
    import optparse
    parser = optparse.OptionParser(__doc__.strip())
    opts, args = parser.parse_args()
    if len(args) != 2:
        parser.error("Usage: [] []... ")
    fn, output = args

    for op, srange, desc in csv.reader(open(fn)):
        ##if op != 'XSAVE': continue

        filename = join(output, '%s/%s.pdf' % (op, op))
        if not exists(filename):
            print >> sys.stderr, filename
            continue

        print filename
        c = cmd1 % (filename, splitext(filename)[0] + "_TMP")
        print c
        r = call(c, shell=1)
        assert r == 0

        dn = join(output, op)
        for png in sorted(os.listdir(join(output, op))):
            if not re.match('.*_TMP-\d+\.png$', png): continue
            apng = join(dn, png)
            oldfn = apng
            newfn = apng.replace('_TMP', '')
            cmd = cmd2 % (oldfn, newfn)
            print cmd
            call(cmd, shell=1)
            os.remove(oldfn)


if __name__ == '__main__':
    main()
