#!/usr/bin/env python
"""
Split up the PDF file.
"""
__author__ = 'Martin Blais <blais@furius.ca>'
__copyright__ = 'BSD'

import csv, os
from os.path import *
from subprocess import call


cmd = '/usr/bin/pdfnup --no-landscape --outfile "%(output)s" --nup 1 "%(input)s" %(pages)s'

def main():
    import optparse
    parser = optparse.OptionParser(__doc__.strip())
    opts, args = parser.parse_args()
    if len(args) != 3:
        parser.error("Usage: [] []... ")
    pdf, fn, output = args

    for op, srange, desc in csv.reader(open(fn)):
        filename = join(output, '%s/%s.pdf' % (op, op))
        dn = dirname(filename)
        if not exists(dn):
            os.makedirs(dn)
        c = cmd % dict(output=filename, input=pdf, pages=srange)
        print c
        r = call(c, shell=1)
        assert r == 0

if __name__ == '__main__':
    main()
